﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISF_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_ISF_SALEFORECAST_RESULT', 'T_ISF_SALEFORECAST_RESULT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISF_SF_RESULT_FORGID') CREATE INDEX IDX_ISF_SF_RESULT_FORGID ON T_ISF_SALEFORECAST_RESULT ( FORGID );


 EXEC P_ALTERPK 'PK_T_ISF_BILLCREATESCHEME', 'T_ISF_BILLCREATESCHEME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISF_BCS_NUMBER') CREATE INDEX IDX_ISF_BCS_NUMBER ON T_ISF_BILLCREATESCHEME ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_ISF_BILLCREATESCHEME_L', 'T_ISF_BILLCREATESCHEME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISF_BCS_L_FID') CREATE INDEX IDX_ISF_BCS_L_FID ON T_ISF_BILLCREATESCHEME_L ( FID );


 EXEC P_ALTERPK 'PK_T_ISF_FORECASTSCHEME', 'T_ISF_FORECASTSCHEME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISF_FS_NUMBER') CREATE INDEX IDX_ISF_FS_NUMBER ON T_ISF_FORECASTSCHEME ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_ISF_FORECASTSCHEME_L', 'T_ISF_FORECASTSCHEME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISF_FS_L') CREATE INDEX IDX_ISF_FS_L ON T_ISF_FORECASTSCHEME_L ( FID );


 EXEC P_ALTERPK 'PK_T_ISF_BILLCREDTENTRY', 'T_ISF_BILLCREDTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISF_BCS_DT_ENTRY') CREATE INDEX IDX_ISF_BCS_DT_ENTRY ON T_ISF_BILLCREDTENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_ISF_BILLCREFMENTRY', 'T_ISF_BILLCREFMENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISF_BCS_FM_ENTRY') CREATE INDEX IDX_ISF_BCS_FM_ENTRY ON T_ISF_BILLCREFMENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_ISF_SALEFORECASTBILL', 'T_ISF_SALEFORECASTBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISF_SFB_BLLNO') CREATE INDEX IDX_ISF_SFB_BLLNO ON T_ISF_SALEFORECASTBILL ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_ISF_SALEFORECASTBILL_L', 'T_ISF_SALEFORECASTBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISF_SFB_ID') CREATE INDEX IDX_ISF_SFB_ID ON T_ISF_SALEFORECASTBILL_L ( FID );


 EXEC P_ALTERPK 'PK_T_ISF_SALEFORECASTENTRY', 'T_ISF_SALEFORECASTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFB_ENTRY') CREATE INDEX IDX_SFB_ENTRY ON T_ISF_SALEFORECASTENTRY ( FID );


 EXEC P_ALTERPK 'PK_ISF_SALEFORECASTENTRY_F', 'T_ISF_SALEFORECASTENTRY_F', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFB_ENTRY_F') CREATE INDEX IDX_SFB_ENTRY_F ON T_ISF_SALEFORECASTENTRY_F ( FID );


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISF_constraint.sql **/
