﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISF_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISF_SALEFORECAST_RESULT') 
 CREATE TABLE T_ISF_SALEFORECAST_RESULT (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FBASICONEGROUPID BIGINT DEFAULT 0 NOT NULL,
FBASICTWOGROUPID BIGINT DEFAULT 0 NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMGROUPID BIGINT DEFAULT 0 NOT NULL,
FPRETIME DATETIME,
FPREVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRETIMETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPREVALUETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FMODELTYPEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FMODELTYPENAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPRETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FCALFINISHTIME DATETIME,
FISBOTP CHAR(1) DEFAULT '0' NOT NULL,
FPREORGTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPRETIMECYCLE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISF_BILLCREATESCHEME') 
 CREATE TABLE T_ISF_BILLCREATESCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FFORECASTSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FISAUTODRAW CHAR(1) DEFAULT ' ' NOT NULL,
FDRAWBILLID VARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(512),
FDRAWTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATAFILTERRULE NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISF_BILLCREATESCHEME_L') 
 CREATE TABLE T_ISF_BILLCREATESCHEME_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(512)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISF_FORECASTSCHEME') 
 CREATE TABLE T_ISF_FORECASTSCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FPRETYPE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FORGDIMENSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FCUSDIMENSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FPRODUCTDIMENSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FFORECASTCYCLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FFORECASTLENGTH VARCHAR(50) DEFAULT ' ' NOT NULL,
FFORECASTVALUE VARCHAR(100) DEFAULT ' ' NOT NULL,
FQTY CHAR(1) DEFAULT ' ' NOT NULL,
FAMOUNT CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISF_FORECASTSCHEME_L') 
 CREATE TABLE T_ISF_FORECASTSCHEME_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISF_BILLCREDTENTRY') 
 CREATE TABLE T_ISF_BILLCREDTENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FGROUPFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FGROUPFIELDKEY VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISF_BILLCREFMENTRY') 
 CREATE TABLE T_ISF_BILLCREFMENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FFORECASTRESULTFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFORECASTRESULTFIELDKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
FDRAWBILLFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDRAWBILLFIELDKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
FDRAWBILLFIELDPARENT VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISF_SALEFORECASTBILL') 
 CREATE TABLE T_ISF_SALEFORECASTBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FAUDITDATE DATETIME,
FBIZDATE DATETIME,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FFORECASTSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(512)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISF_SALEFORECASTBILL_L') 
 CREATE TABLE T_ISF_SALEFORECASTBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(512)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISF_SALEFORECASTENTRY') 
 CREATE TABLE T_ISF_SALEFORECASTENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FPRETIME DATETIME,
FORIPREQTY1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORIPREQTY2 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORIPREQTY3 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORIPREQTY4 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORIPREQTY5 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORIPREQTY6 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORIPREQTY7 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORIPREQTY8 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORIPREQTY9 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORIPREQTY10 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORIPREQTY11 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORIPREQTY12 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREQTY1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREQTY2 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREQTY3 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREQTY4 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREQTY5 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREQTY6 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREQTY7 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREQTY8 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREQTY9 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREQTY10 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREQTY11 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREQTY12 DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISF_SALEFORECASTENTRY_F') 
 CREATE TABLE T_ISF_SALEFORECASTENTRY_F (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FORIPREAMOUNT1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORIPREAMOUNT2 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORIPREAMOUNT3 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORIPREAMOUNT4 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORIPREAMOUNT5 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORIPREAMOUNT6 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORIPREAMOUNT7 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORIPREAMOUNT8 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORIPREAMOUNT9 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORIPREAMOUNT10 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORIPREAMOUNT11 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORIPREAMOUNT12 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREAMOUNT1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREAMOUNT2 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREAMOUNT3 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREAMOUNT4 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREAMOUNT5 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREAMOUNT6 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREAMOUNT7 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREAMOUNT8 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREAMOUNT9 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREAMOUNT10 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREAMOUNT11 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREAMOUNT12 DECIMAL(23,10) DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISF_table.sql **/
